<?php

// Load Dolibase
include_once '../autoload.php';

// Load Dolibase SetupPage class
dolibase_include_once('core/pages/setup.php');

// Load Dolibase QueryBuilder class
dolibase_include_once('/core/class/query_builder.php');

// Create Setup Page using Dolibase
$page = new SetupPage('Setup', '$user->admin', false, false, true);

// Get parameters
$action = GETPOST('action', 'alpha');
$login = GETPOST('login', 'alpha');
$loginlist = GETPOST('loginlist');

// Init vars
global $conf, $db;

$hidden_users = array();

if (! empty($conf->global->USER_SWITCHER_HIDDEN_USERS)) {
	$hidden_users = explode(',', $conf->global->USER_SWITCHER_HIDDEN_USERS);
}

// Set actions ---

// Show User

if ($action == 'show_user')
{
	if (! empty($login))
	{
		$changed = false;
		foreach ($hidden_users as $key => $value)
		{
			if ($login == $value) {
				unset($hidden_users[$key]);
				$changed = true;
			}
		}

		if ($changed) {
			dolibarr_set_const($db, 'USER_SWITCHER_HIDDEN_USERS', join(',', $hidden_users), 'chaine', 0, '', $conf->entity);
		}
	}
}

// Hide User

else if ($action == 'hide_user')
{
	if (! empty($login) && ! in_array($login, $hidden_users))
	{
		$hidden_users[] = $login;

		dolibarr_set_const($db, 'USER_SWITCHER_HIDDEN_USERS', join(',', $hidden_users), 'chaine', 0, '', $conf->entity);
	}
}

// Show Selected Users

else if ($action == 'show_selected_users')
{
	if (is_array($loginlist) && ! empty($loginlist))
	{
		$changed = false;
		foreach ($hidden_users as $key => $value)
		{
			if (in_array($value, $loginlist)) {
				unset($hidden_users[$key]);
				$changed = true;
			}
		}

		if ($changed) {
			dolibarr_set_const($db, 'USER_SWITCHER_HIDDEN_USERS', join(',', $hidden_users), 'chaine', 0, '', $conf->entity);
		}
	}
}

// Hide Selected Users

else if ($action == 'hide_selected_users')
{
	if (is_array($loginlist) && ! empty($loginlist))
	{
		foreach ($loginlist as $login)
		{
			if (! in_array($login, $hidden_users)) {
				$hidden_users[] = $login;
			}
		}

		dolibarr_set_const($db, 'USER_SWITCHER_HIDDEN_USERS', join(',', $hidden_users), 'chaine', 0, '', $conf->entity);
	}
}

// Redirect

if (! empty($action)) {
	dolibase_redirect($_SERVER["PHP_SELF"].'?mainmenu=home');
}

// --- End actions

$page->addJsFile('list.js');

$page->begin();

$page->addSubtitle('UsersList', 'userswitcher.png@userswitcher');

$page->showTemplate('list.php');

$page->end();
